## com.imcode.imcms.api
Class TextDocument.MenuItem.TreeKey

    java.lang.Object
      com.imcode.imcms.api.TextDocument.MenuItem.TreeKey

Enclosing class:
  TextDocument.MenuItem

    public static class TextDocument.MenuItem.TreeKey

extends java.lang.Object

Constructor Summary
`TextDocument.MenuItem.TreeKey(java.lang.String treeSortKey)`
`TextDocument.MenuItem.TreeKey(TreeSortKeyDomainObject internalTreeSortKey)`

Method Summary
`int` `getLevelCount()`
`int` `getLevelKey(int level)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TextDocument.MenuItem.TreeKey

    public TextDocument.MenuItem.TreeKey(TreeSortKeyDomainObject internalTreeSortKey)

### TextDocument.MenuItem.TreeKey

    public TextDocument.MenuItem.TreeKey(java.lang.String treeSortKey)

Method Detail

### getLevelCount

    public int getLevelCount()

### getLevelKey

    public int getLevelKey(int level)

  Parameters:
    `level` - The level in this three key that you want the sort number from. If the tree key is 1.3.5 then the level key on level 2 is 3.
  Returns:
    the key on the level requested. Throws a NoSuchElementException() if there is none.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`